MSK3TextInternal::TextZone Struct Reference

Internal: the text zone. More...

## Public Types

enum | Type { Header, Footer, Main, Unknown }

## Public Member Functions

| TextZone ()
| constructor More...
bool | isMain () const
| return true if this is the main zone More...

## Public Attributes

int | m_type
| the zone type; More...
int | m_id
| the zone id More...
std::vector< LineZone > | m_zonesList
| the list of zones More...
std::vector< int > | m_linesHeight
| the line heigth More...
std::vector< int > | m_pagesHeight
| the pages heigth More...
std::map< int, bool > | m_pagesPosition
| the zone id -> hard break More...
std::map< int, Vec2i > | m_footnoteMap
| the note id -> zone limit More...
std::string | m_text
| a string used to store v1-2 files header/footer More...
bool | m_isSent
| flag to know if the zone is send or not More...

## Detailed Description

Internal: the text zone.

## Member Enumeration Documentation

enum MSK3TextInternal::TextZone::Type

Enumerator
Header |
Footer |
Main |
Unknown |

## Constructor & Destructor Documentation

MSK3TextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Function Documentation

bool MSK3TextInternal::TextZone::isMain | ( |  | ) | const

inline

return true if this is the main zone

Referenced by MSK3Text::numPages(), and MSK3Text::send().

## Member Data Documentation

std::map<int, Vec2i> MSK3TextInternal::TextZone::m_footnoteMap

the note id -> zone limit

Referenced by MSK3Text::send(), MSK3Text::sendNote(), and MSK3Text::updateNotes().

int MSK3TextInternal::TextZone::m_id

the zone id

Referenced by MSK3Text::createZones(), MSK3Text::readHeaderFooterString(), and MSK3Text::send().

bool MSK3TextInternal::TextZone::m_isSent

flag to know if the zone is send or not

Referenced by MSK3Text::send().

std::vector<int> MSK3TextInternal::TextZone::m_linesHeight

the line heigth

Referenced by MSK3Text::update().

std::vector<int> MSK3TextInternal::TextZone::m_pagesHeight

the pages heigth

Referenced by MSK3Text::update().

std::map<int, bool> MSK3TextInternal::TextZone::m_pagesPosition

the zone id -> hard break

Referenced by MSK3Text::numPages(), MSK3Text::send(), and MSK3Text::update().

std::string MSK3TextInternal::TextZone::m_text

a string used to store v1-2 files header/footer

Referenced by MSK3Text::readHeaderFooterString(), and MSK3Text::send().

int MSK3TextInternal::TextZone::m_type

the zone type;

Referenced by MSK3Text::createZones(), isMain(), and MSK3Text::readHeaderFooterString().

std::vector<LineZone> MSK3TextInternal::TextZone::m_zonesList

the list of zones

Referenced by MSK3Text::createZones(), MSK3Text::send(), MSK3Text::update(), and MSK3Text::updateNotes().

The documentation for this struct was generated from the following file:

- MSK3Text.cxx